{
  num: -13063,
  accuracy: true,
  basePower: 0,
  category: "Status",
  name: "Danku",
  pp: 10,
  priority: 4,
  flags: {noassist: 1, failcopycat: 1},
  stallingMove: true,
  volatileStatus: "danku",
  onPrepareHit(pokemon) {
    return !!this.queue.willAct() && this.runEvent("StallMove", pokemon);
  },
  onHit(pokemon) {
    pokemon.addVolatile("stall");
  },
  condition: {
    duration: 1,
    onStart(target) {
      this.add("-singleturn", target, "move: Danku");
    },
    onTryHitPriority: 3,
    onTryHit(target, source, move) {
      if (!move || move.category === "Status") return;
      if (move.category !== "Special") return;
      if (!source || source === target) return;
      if (move.smartTarget) move.smartTarget = false;
      else this.add("-activate", target, "move: Danku");
      this.boost({spd: 1}, target, target, null, true);
      return this.NOT_FAIL;
    }
  },
  secondary: null,
  target: "self",
  type: "Fairy",
  zMove: {boost: {spd: 1}},
  contestType: "Clever",
  desc: "Priority +4. Protects against special damaging moves and raises Special Defense if one is blocked."
}
